Package org.apache.tapestry5.internal.services

## Class InternalComponentInvalidationEventHubImpl

- java.lang.Object
- - org.apache.tapestry5.internal.event.InvalidationEventHubImpl
  - - org.apache.tapestry5.internal.services.InternalComponentInvalidationEventHubImpl

- All Implemented Interfaces:
    `InvalidationEventHub`, `InternalComponentInvalidationEventHub`

      public class InternalComponentInvalidationEventHubImpl
      extends InvalidationEventHubImpl
      implements InternalComponentInvalidationEventHub

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalComponentInvalidationEventHubImpl​(boolean productionMode, org.slf4j.Logger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `classInControlledPackageHasChanged()` | Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed.
    `void` | `setupReload​(ReloadHelper helper)` |

    - ### Methods inherited from class org.apache.tapestry5.internal.event.InvalidationEventHubImpl

      `addInvalidationCallback, addInvalidationCallback, addInvalidationListener, clearOnInvalidation, fireInvalidationEvent, fireInvalidationEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.commons.services.InvalidationEventHub

      `addInvalidationCallback, addInvalidationCallback, addInvalidationListener, clearOnInvalidation, fireInvalidationEvent`

- - ### Constructor Detail

    - #### InternalComponentInvalidationEventHubImpl

          public InternalComponentInvalidationEventHubImpl​(@Symbol("tapestry.production-mode")
                                                           boolean productionMode,
                                                           org.slf4j.Logger logger)

  - ### Method Detail

    - #### setupReload

          @PostInjection
          public void setupReload​(ReloadHelper helper)

    - #### classInControlledPackageHasChanged

          public void classInControlledPackageHasChanged()

      Description copied from interface: `InternalComponentInvalidationEventHub`
      Invoked when the `ComponentInstantiatorSource` notices that a class file within any of the controlled packages has changed. Fires the `InvalidationListener.objectWasInvalidated()` notification.
      Specified by:
        `classInControlledPackageHasChanged` in interface `InternalComponentInvalidationEventHub`